Subject: Re: Linux emulation upgrade..?
To: None <>
From: Arto Huusko <>
List: current-users
Date: 02/10/2004 21:10:42 wrote:
> On Tuesday 10 February 2004 03:04, Arto Huusko wrote:
>>The biggest problem for me was to find a way to unpack the
>>rpm's (rpm2cpio in pkgsrc is not good enough; FreeBSD has one
>>that works).
> I used similar commands to what the pkgsrc entry used and just ran a 
> normal rpm and rooted it into the emulation hierarchy.

Hmm. The rpm tools in pkgsrc refused to handle the rpm-packages
I downloaded. Apparently the new suse rpms are RPM v4 (or something).

>>Perhaps you needed also a newer loader (
> Very possibly--now do you mean the NetBSD native loader or the Linux 
> emulation loader?

The linux one. IIRC I had to install a new loader, but I could be wrong.

Oh, did you run linux' ldconfig? That was needed, too.

   -- Arto